Name:          hfsplus-tools
Version:       540.1.linux3
Release:       17
Summary:       Tools to create/check Apple HFS+ filesystems
License:       APSL 2.0
URL:           http://gentoo-wiki.com/HOWTO_hfsplus
Source0:       http://cavan.codon.org.uk/~mjg59/diskdev_cmds/diskdev_cmds-%{version}.tar.gz
Source1:       http://www.opensource.org/licenses/apsl-2.0.txt
Patch0:        hfsplus-tools-no-blocks.patch
Patch1:        hfsplus-tools-learn-to-stdarg.patch

BuildRequires: openssl-devel, libuuid-devel
Conflicts:     hfsplusutils

%define _exec_prefix /

%description
HFS+, HFS Plus, or Mac OS Extended are names for a file system developed by Apple Computer to replace
their Hierarchical File System (HFS). In addition to being the default file system on modern Apple
computers, HFS+ is one of two formats, FAT being the other, that are supported by the iPod hard-disk
based music player. Unlike FAT, HFS+ supports UNIX style file permissions, which makes it useful for
serving and sharing files in a secured manner.

%package        help
Summary:        man files for %{name}
Requires:       man

%description    help
This package includes man files for %{name}.

%prep
%autosetup -n hfsplus-mkfs-%{version} -n diskdev_cmds-%{version} -p1
find . -type f -name '*.[ch]' -exec chmod -c -x {} +
cp %{SOURCE1} .

%build
export CFLAGS="%{optflags}"
%make_build -f Makefile

%install
install -d $RPM_BUILD_ROOT/%{_sbindir}
cp newfs_hfs.tproj/newfs_hfs $RPM_BUILD_ROOT/%{_sbindir}/mkfs.hfsplus
cp fsck_hfs.tproj/fsck_hfs $RPM_BUILD_ROOT/%{_sbindir}/fsck.hfsplus

install -d $RPM_BUILD_ROOT/%{_mandir}/man8
cat fsck_hfs.tproj/fsck_hfs.8 | sed -e 's/[F|f]sck_hfs/fsck.hfsplus/g' > $RPM_BUILD_ROOT/%{_mandir}/man8/fsck.hfsplus.8
cat newfs_hfs.tproj/newfs_hfs.8 | sed -e 's/[N|n]ewfs_hfs/mkfs.hfsplus/g' > $RPM_BUILD_ROOT/%{_mandir}/man8/mkfs.hfsplus.8

cd $RPM_BUILD_ROOT/%{_sbindir}
ln -s fsck.hfsplus fsck.hfs
cd $RPM_BUILD_ROOT/%{_mandir}/man8
ln -s fsck.hfsplus.8 fsck.hfs.8

%files
%doc apsl-2.0.txt
%{_sbindir}/mkfs.hfsplus
%{_sbindir}/fsck.hfsplus
%{_sbindir}/fsck.hfs

%files help
%{_mandir}/man*/*

%changelog
* Fri Dec 13 2019 openEuler Buildteam <buildteam@openeuler.org> - 540.1.linux3-17
- Package init
